## signify-osx-1.2.tar.gz

=== Makefile ===
PREFIX= /usr/local
BINDIR= ${PREFIX}/bin
MANDIR= ${PREFIX}/share/man

#CVSROOT= anoncvs@anoncvs.openbsd.org:/cvs
CVSROOT= anoncvs@anoncvs3.usa.openbsd.org:/cvs

SRCS+= src/lib/libc/crypt/arc4random.c
SRCS+= src/lib/libc/crypt/blowfish.c
SRCS+= src/lib/libc/gen/readpassphrase.c
SRCS+= src/lib/libc/hash/sha2.c
SRCS+= src/lib/libc/net/base64.c
SRCS+= src/lib/libc/string/explicit_bzero.c
SRCS+= src/lib/libc/string/timingsafe_bcmp.c
SRCS+= src/lib/libcrypto/crypto/getentropy_osx.c
SRCS+= src/lib/libutil/bcrypt_pbkdf.c
SRCS+= src/lib/libutil/ohash.c
SRCS+= src/usr.bin/signify/crypto_api.c
SRCS+= src/usr.bin/signify/fe25519.c
SRCS+= src/usr.bin/signify/mod_ed25519.c
SRCS+= src/usr.bin/signify/mod_ge25519.c
SRCS+= src/usr.bin/signify/signify.c
SRCS+= src/usr.bin/signify/sc25519.c
SRCS+= src/usr.bin/signify/smult_curve25519_ref.c

HASH_HELPERS+= src/lib/libc/hash/sha256hl.c
HASH_HELPERS+= src/lib/libc/hash/sha512hl.c

LOCAL_SRCS+= ${HASH_HELPERS}
LOCAL_SRCS+= hashaliases.c

INCL+= src/include/blf.h
INCL+= src/include/readpassphrase.h
INCL+= src/include/sha2.h
INCL+= src/lib/libc/crypt/chacha_private.h
INCL+= src/lib/libcrypto/crypto/arc4random_osx.h
INCL+= src/lib/libutil/ohash.h
INCL+= src/lib/libutil/util.h
INCL+= src/usr.bin/signify/crypto_api.h
INCL+= src/usr.bin/signify/fe25519.h
INCL+= src/usr.bin/signify/ge25519.h
INCL+= src/usr.bin/signify/ge25519_base.data
INCL+= src/usr.bin/signify/sc25519.h

MAN= src/usr.bin/signify/signify.1

FETCH_ONLY+= src/etc/signify
FETCH_ONLY+= src/lib/libc/hash/helper.c
FETCH_ONLY+= src/lib/libc/string/timingsafe_memcmp.c
FETCH_ONLY+= src/regress/lib/libc/explicit_bzero
FETCH_ONLY+= src/regress/lib/libc/timingsafe
FETCH_ONLY+= src/regress/usr.bin/signify

FROM_CVS+= ${SRCS} ${INCL} ${MAN} ${FETCH_ONLY}

CFLAGS+= -Isrc/include -Isrc/lib/libutil -Isrc/usr.bin/signify -I.
CFLAGS+= -include missing.h
CFLAGS+= -D_NSIG=NSIG
CFLAGS+= '-D__weak_alias(a,b)='
CFLAGS+= -Wall -Wextra
CFLAGS+= -Wno-attributes -Wno-pointer-sign -Wno-sign-compare
CFLAGS+= -Wno-unused-parameter

.PHONY: fetch hash-helpers clean install check test up check-updates

signify: ${LOCAL_SRCS} ${SRCS} ${INCL}
	${CC} ${CFLAGS} -o $@ ${SRCS} ${LOCAL_SRCS}
	cp src/usr.bin/signify/signify.1 .

hash-helpers: ${HASH_HELPERS}

src/lib/libc/hash/sha256hl.c: src/lib/libc/hash/helper.c
	sed -e 's/hashinc/sha2.h/g' \
	    -e 's/HASH/SHA256/g' \
	    -e 's/SHA[0-9][0-9][0-9]_CTX/SHA2_CTX/g' $< > $@

src/lib/libc/hash/sha512hl.c: src/lib/libc/hash/helper.c
	sed -e 's/hashinc/sha2.h/g' \
	    -e 's/HASH/SHA512/g' \
	    -e 's/SHA[0-9][0-9][0-9]_CTX/SHA2_CTX/g' $< > $@

src/lib/libc/hash/helper.c:
	$(error Missing source files... Maybe you want to `make fetch`?)

fetch:
	cvs -qd ${CVSROOT} get -P ${FROM_CVS}

clean:
	rm -rf signify signify.1 test-results timingsafe explicit_bzero

install: signify
	install -d ${BINDIR} ${MANDIR}/man1
	install -Ss -m 755 signify ${BINDIR}
	install -S -m 644 signify.1 ${MANDIR}/man1

REGRESS_BZ_SRCS=  src/lib/libc/string/explicit_bzero.c
REGRESS_BZ_SRCS+= src/regress/lib/libc/explicit_bzero/explicit_bzero.c
explicit_bzero: ${REGRESS_BZ_SRCS}
	${CC} ${CFLAGS} -o $@ ${REGRESS_BZ_SRCS}

REGRESS_TS_SRCS=  src/lib/libc/string/timingsafe_bcmp.c
REGRESS_TS_SRCS+= src/lib/libc/string/timingsafe_memcmp.c
REGRESS_TS_SRCS+= src/regress/lib/libc/timingsafe/timingsafe.c
timingsafe: ${REGRESS_TS_SRCS}
	${CC} ${CFLAGS} -o $@ ${REGRESS_TS_SRCS}

check: test

test: signify explicit_bzero timingsafe
	@sh ./regress.sh

up: check-updates

check-updates:
	@(cd src && CVS_RSH=ssh cvs -qn up 2>&1 \
	    | (grep -v '^? ' || echo 'Up to date!'))

=== Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
PortGroup           github 1.0

github.setup        jpouellet signify-osx 1.1
name                signify
categories          security
license             ISC
platforms           darwin
maintainers         ouellet.biz:jean-philippe
description         cryptographically sign and verify files
long_description    The signify utility creates and verifies cryptographic \
                    signatures. A signature verifies the integrity of a message.
homepage            http://www.openbsd.org/cgi-bin/man.cgi/OpenBSD-current/man1/signify.1

checksums           rmd160  a855549d6b5022c8e4bc374a4ca85b7764473df8 \
                    sha256  5b730763887554eeade766179548a941085e12f48ef3c1542553de0b5c0a3de6

variant universal   {}

use_configure       no

build.target        signify
build.args-append   CC="${configure.cc} [get_canonical_archflags cc]"

destroot.args       PREFIX="${destroot}${prefix}"

test.run            yes
